python-libsvm_3.12-1.1_amd64.deb


Advertisement

Description

python-libsvm - Python interface for support vector machine library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-libsvm
Package version: 3.12
Package release: 1.1
Package architecture: amd64
Package type: deb
Installed size: 42 B
Download size: 11.56 KB
Official Mirror: archive.ubuntu.com
Python interface for the LIBSVM library using ctypes. This new Python interface is provided since 2.91, and it is incompatible with the old one.

Alternatives

Provides

  • python2.7-libsvm

    Download

    Source package: libsvm

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-libsvm deb package:
      # sudo apt-get install python-libsvm

    Files

    • /usr/lib/python2.7/dist-packages/svm.py
    • /usr/lib/python2.7/dist-packages/svmutil.py
    • /usr/share/doc/python-libsvm/README.gz
    • /usr/share/doc/python-libsvm/changelog.Debian.gz
    • /usr/share/doc/python-libsvm/copyright
    • /usr/share/pyshared/svm.py
    • /usr/share/pyshared/svmutil.py

    Changelog

    2015-08-29 - Andrey Rahmatullin <wrar@debian.org> libsvm (3.12-1.1) unstable; urgency=medium * Non-maintainer upload. * Port from python-support to dh-python (Closes: #786206)

    2012-06-11 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (3.12-1) unstable; urgency=low * New upstream release * Remove patchsys-quilt.mk and upgrade to packaging format "3.0 quilt". (Closes: #667791) * Update to Standards-Version to 3.9.3 and debhelper to 9. * Change obsolete depends default-jdk-builddep to default-jdk. (Closes: #669223) * Fix description-synopsis-starts-with-article (Lintian). * Fix extended-description-is-probably-too-short (Lintian). * Fix needless-dependency-on-jre (Lintian). * Fix capitalization-error-in-description Python (Lintian). * Fix duplicate-short-description (Lintian). * Add build-arch and build-indep rules. (Closes: #673215)

    2011-04-06 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (3.1-1) unstable; urgency=low * New upstream release. * Removed the versioned name of directory under /usr/include/ since different version of libsvm-dev cannot be co-installed. (Closes: #608851)

    2010-10-10 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (3.0-1) unstable; urgency=low [Chen-Tse Tsai] * New upstream release. - Moved the model structure to svm.h and changed the function which destroys the model. - Added description warns that the new python interface is incompatible with the previous version 2. (Closes: #594251) [Steffen Moeller] * Changed to source format 3.0 (quilt). * Allowing repeated invocations of dpkg-buildpackage

    2010-08-06 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (2.91-2) unstable; urgency=low * Fixed the preinst script of python-libsvm. (Closes: #583737) * Fixed the man page of svm-predict. (Closes: #590275) * Fixed python string exception problems of libsvm-tools. (Closes: #585245)

    2010-04-10 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (2.91-1) unstable; urgency=low * New upstream release. * Changed python-libsvm to the new python interface provided by upstream.

    2009-12-04 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (2.90-1) unstable; urgency=low * New upstream release. * Fixed dependency of python-libsvm. (Closes: #548401) * Fixed python-libsvm building problem and migrated from python-central to python-support. Thanks to Sandro Tosi. (Closes: #557339) * Moved the tools in examples/tools/ of python-libsvm to libsvm-tools and provided manual pages for them. * Made libsvm2 depend on the latest libsvm-dev. (Closes: #527805) * Rebuild .jar from source. Thanks to gregor herrmann. (Closes: #558575) * Removed libsvm.pc from libsvm-dev.

    2009-04-01 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (2.89-1) unstable; urgency=low * New upstream release. * Changed version number to consistent with upstream. * Changed examples of libsvm-dev. * Removed debian/patches/verbosity-adjust.diff and osx-support.diff.

    2009-03-04 - Chen-Tse Tsai <ctse.tsai@gmail.com> libsvm (2.88.0-5) unstable; urgency=low * New maintainer. (Closes: #517447) * Fixed long description of Java package. (Closes: #518141)

    2009-02-09 - Rudi Cilibrasi <cilibrar@debian.org> libsvm (2.88.0-4) unstable; urgency=low * Made Java package architecture all instead of architecture any.

    Advertisement
    Advertisement